We’re thrilled to announce the release of WooCommerce Zapier version 2.10.1!

Today’s release includes some improvements and compatibility enhancements, as well as a simplified onboarding experience.

Let’s dive into what’s new and why you should update now!

What’s New?

Quick Start Guide for New Users
Getting started with WooCommerce Zapier has never been easier! New users will now be directed to a brand new Quick Start Guide, ensuring a smooth and hassle-free onboarding experience.

This Quick Start Guide is designed to simplify the WooCommerce Zapier onboarding experience by providing a simplified list tasks to set up WooCommerce Zapier for the first time.

Of course, our comprehensive documentation is still available for all of the finer details.

Integration with 7000+ Apps on Zapier.com
WooCommerce Zapier can now connect with over 7000 apps on Zapier.com, allowing for unparalleled automation possibilities.

What’s Changed?

Updated Minimum Requirements
To ensure optimal performance and security, we’ve updated our minimum requirements:

  • WordPress: 6.2 or higher
  • WooCommerce: 7.5 or higher
  • WooCommerce Subscriptions: 5.0 or higher
  • WooCommerce Bookings: 2.0 or higher

Enhanced Plugin Dependencies
WooCommerce is now a required plugin, leveraging WordPress 6.5’s new plugin dependencies feature.

Clearer References
We’ve made some terminology updates for clarity and consistency:

  • “Woo.com” is now “WooCommerce.com”
  • “Woo Subscriptions” is now “WooCommerce Subscriptions”

What’s Updated?

Compatibility Enhancements
WooCommerce Zapier 2.10.1 is now fully compatible with:

  • WordPress v6.5
  • WooCommerce v8.9
  • WooCommerce Subscriptions v6.3

Additional Changes on Zapier.com

Simplified Help Text
We’ve streamlined the help text in the Authentication dialogue box, linking to the new Quick Start Guide for a more intuitive onboarding experience.

Updated Dependencies
All dependencies have been updated to the latest versions, ensuring enhanced stability and performance.

How to Update

Updating to WooCommerce Zapier version 2.10.1 is simple. Head over to your WordPress dashboard, navigate to the ‘Plugins’ section, and you’ll find the update ready for you. Click the “Update Now” button next to the WooCommerce Zapier plugin, and WordPress will handle the rest.

Share Your Feedback

We’d love to hear your thoughts on the new update! If you have any questions or feedback, please don’t hesitate to reach out to us. Your input helps us make WooCommerce Zapier even better.

Thank you for your continued support. Happy updating!

Changelog

The full list of changes in WooCommerce Zapier version 2.10.1 is as follows:

New

  • Direct new users to a new Quick Start Guide. PR #736
  • WooCommerce Zapier now integrates with 7000+ apps on Zapier.com. PR #736

Changed

  • Minimum required WordPress version is now 6.2. PR #728, PR #732
  • Minimum required WooCommerce version is now 7.5.0. PR #728
  • Minimum required WooCommerce Subscriptions version is now 5.0.0. PR #728
  • Minimum required WooCommerce Bookings version is now 2.0.0. PR #728
  • Make WooCommerce a required plugin (using WordPress 6.5’s plugin dependencies feature). PR #731
  • Refer to WooCommerce.com instead of Woo.com. PR #730
  • Refer to WooCommerce Subscriptions instead of Woo Subscriptions. PR #735

Updated

  • Marked as compatible with WordPress v6.5. PR #726
  • Marked as compatible with WooCommerce v8.9. PR #707, PR #714, PR #727, PR #726, PR #729, PR #738
  • Marked as compatible with Woo Subscriptions v6.3. PR #714, PR #726, PR #735

The following changes have also been made to the WooCommerce app on Zapier.com:

Changed

  • Change: Simplify help text in the Authentication dialogue box, linking to a new quick start guide. PR #412
  • Change: Refer to woocommerce.com instead of woo.com. PR #410
  • Change: Refer to WooCommerce Subscriptions instead of Woo Subscriptions. PR #410
  • Updated dependencies to the latest versions, including zapier-platform (core and schema) from 15.5.1 to 15.7.2. PR#385, PR#386, PR#387, PR#389, PR#388, PR#391, PR#390, PR#393, PR#394, PR#396, PR#397, PR#403, PR#405, PR#408